Create a custom metric
curl --request POST \
--url https://api.pelanor.io/v2/custom-metrics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metricName": "<string>",
"description": "<string>",
"series": [
{
"values": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123
}
],
"properties": {}
}
]
}
'import requests
url = "https://api.pelanor.io/v2/custom-metrics"
payload = {
"metricName": "<string>",
"description": "<string>",
"series": [
{
"values": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123
}
],
"properties": {}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metricName: '<string>',
description: '<string>',
series: [{values: [{timestamp: '2023-11-07T05:31:56Z', value: 123}], properties: {}}]
})
};
fetch('https://api.pelanor.io/v2/custom-metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Custom Metrics
Create Custom Metric
POST
/
v2
/
custom-metrics
Create a custom metric
This endpoint can be used to initialize a Custom Metric, link it to a Pelanor property (built-in or Custom Dimension), and populate historical/initial values.
Use the List Attributes endpoint to get available properties and their IDs.
- Newly created custom metrics may take up to 3 hours to appear in the platform
- A custom metric must be instantiated with at least one data series (temporary limitation)
⌘I